#!/usr/bin/env sh

HOSTNAME="$(hostname)"
CURRENT_DIR="$(pwd)"
SCRATCH="$(mktemp -d)"
BUNDLE_NAME="nvue_applied_$HOSTNAME.bundle"

chmod 700 $SCRATCH

# Create the git-bundle of the applied branch in the nvued repo
cd /var/lib/nvue/config
git bundle create "$SCRATCH/$BUNDLE_NAME" applied

# Get the nvue package version installed via dpkg
cd $SCRATCH
dpkg -l python3-nvue | grep nvue | sed -E "s/.+python3-nvue\\s+([0-9]+\.[0-9]+\.[0-9]+.+)\\sall.+/\\1/" > nvue_version.txt

# Copy /etc/nvue.d and /var/log/nvued.log into the scratch dir
cp -R /etc/nvue.d .
cp -R /var/log/nvued.log .

# Create an archive of the git-bundle, nvue_version.txt, /etc/nvue.d, and /var/log/nvued.log
tar -cf nvue_show_tech.tar $BUNDLE_NAME nvue_version.txt nvue.d nvued.log
chmod 666 nvue_show_tech.tar

# Copy the show tech into the directory where script was run
cp nvue_show_tech.tar $CURRENT_DIR

# Delete the temp dir
cd ~
rm -rf $SCRATCH
