#!/usr/bin/env bash

# This script will be run by systemd as root prior to starting nvued.

# Get our runtime env.  We want to match how systemd will run the service.
ENV_FILE=/etc/default/nvue
[ -f $ENV_FILE ] && source $ENV_FILE

# Default the envs we need.  These defaults must match the cue.config module.
WORKING_DIRECTORY=${NVUE_WORKING_DIRECTORY:-/var/lib/nvue/}
RUNTIME_USER=${NVUE_RUNTIME_USER:-nvue}

# Generate a new key.
# - Get some random bits
# - base64 encode them so they are ascii clean.
# - Take the first 128 characters
KEY=$(/usr/bin/dd if=/dev/urandom count=1 bs=128 2>/dev/null | /usr/bin/base64 -w 128| /usr/bin/head -c 128)

# Set CUE's password to the key
echo "${RUNTIME_USER}:${KEY}" | /usr/sbin/chpasswd 2>/dev/null

# Put the key somewhere nvued can find it.
KEY_FILE=${WORKING_DIRECTORY}/.user_key
touch ${KEY_FILE}
chmod 0400 ${KEY_FILE}
chown ${RUNTIME_USER}. ${KEY_FILE}
echo ${KEY} > ${KEY_FILE}
